Jupiter X Server Requirements

Updated on July 22, 2019

WordPress recommends the following server settings:


PHP – 
Version 7 or greater.
MySQL – Version 5.6 or greater.
MariaDB  Version 10.0 or greater. Only required if you are not using MySQL.
HTTPS – Supported by the server.


Info: 
WordPress also works on PHP 5.2.4+ and MySQL 5.0+, however they are not recommended due to possible security vulnerabilities. To learn more, read the WordPress requirements article.

Jupiter X recommends the following server settings:


PHP –
 Version 7 or greater (however the required version is 5.6)
MySQL – Version 5.6 or greater
mod_rewrite – The Apache module needs to be activated for pretty permalinks.
cURL – Supported by the server.
upload_max_filesize – 8 MB or greater
iconv – this extension must be installed on your server
SubstituteMaxLineLength
 – 20M or greater
PHP and WordPress Memory Limit 
– 256MB (How to increase PHP and WordPress Memory limits)
PHP Modules –
 PHP XML, MBString, SimpleXML, Fsockopen/cURL, SoapClient, DOMDocument, GZip, Zip Archive, Iconv, OpenSSL > 1.0.2

Artbees Site IP

Make sure that artbees.net is not blocked on your server (IP: 157.230.149.127). It’s required for registration.


Jupiter X officially supports WooCommerce, so if you are going to set up a shop, it’s best to make sure your server also supports this plugin’s requirements.

To learn about the plugin server requirements, read the official article.


Elementor Requirements:

Since the default page builder in Jupiter X is Elementor, it’s mandatory to make sure your web host supports the minimum requirements of Elementor too, in case you want to use Elementor. Otherwise, you may experience issues like “The Preview could not be loaded” or “can not find the_content” issues or blank screen of death while loading a page in your back-end. Here is where you can see the Elementor minimum requirements:

https://docs.elementor.com/article/38-requirements

Did this answer your question?